Bug 1165349 - Odd behavior when displaying MAC address
Summary: Odd behavior when displaying MAC address
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: iftop
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-18 20:32 UTC by Matt Castelein
Modified: 2016-12-19 15:37 UTC (History)
2 users (show)

Fixed In Version: iftop-1.0-0.12.pre4.el5 iftop-1.0-0.12.pre4.el7 iftop-1.0-0.12.pre4.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-17 02:17:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Matt Castelein 2014-11-18 20:32:33 UTC
Description of problem: iftop seems to be inserting extra characters in the MAC address it displays at startup

Version-Release number of selected component (if applicable): iftop-1.0-0.7.pre4.el5

How reproducible: Always

Steps to Reproduce:
1. Invoke iftop

Actual results:
interface: eth0
IP address is: 192.168.1.1
MAC address is: 00:25:ffffff90:0c:3a:14

Expected results:
interface: eth0
IP address is: 192.168.1.1
MAC address is: 00:25:90:0c:3a:14

Comment 1 Jiri Popelka 2016-08-03 13:03:40 UTC
Fedora bug #1063298

Comment 2 Robert Scheck 2016-11-29 22:50:38 UTC
I'm still lacking a response from upstream, going to add my proposed patch
to the iftop RPM package now (to undo the regression).

Comment 3 Fedora Update System 2016-11-29 22:59:09 UTC
iftop-1.0-0.12.pre4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56a3dc5224

Comment 4 Fedora Update System 2016-11-29 22:59:39 UTC
iftop-1.0-0.12.pre4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-efa85c329f

Comment 5 Fedora Update System 2016-11-29 23:00:05 UTC
iftop-1.0-0.12.pre4.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c130571340

Comment 6 Fedora Update System 2016-12-01 22:46:05 UTC
iftop-1.0-0.12.pre4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-efa85c329f

Comment 7 Fedora Update System 2016-12-02 00:25:49 UTC
iftop-1.0-0.12.pre4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56a3dc5224

Comment 8 Fedora Update System 2016-12-02 00:47:00 UTC
iftop-1.0-0.12.pre4.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c130571340

Comment 9 Fedora Update System 2016-12-17 02:17:13 UTC
iftop-1.0-0.12.pre4.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-12-17 02:49:11 UTC
iftop-1.0-0.12.pre4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-12-17 02:49:37 UTC
iftop-1.0-0.12.pre4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Matt Castelein 2016-12-19 15:37:15 UTC
Looks good...


Note You need to log in before you can comment on or make changes to this bug.